# Uses of Interface
org.eclipse.gef.rulers.RulerChangeListener

Packages that use RulerChangeListener
Package
Description
org.eclipse.gef.rulers

## Uses of RulerChangeListener in org.eclipse.gef.rulers

Classes in org.eclipse.gef.rulers that implement RulerChangeListener
Modifier and Type
Class
Description
`static class`
`RulerChangeListener.Stub`
Stub for the RulerChangeListener interface.
Methods in org.eclipse.gef.rulers with parameters of type RulerChangeListener
Modifier and Type
Method
Description
`void`
RulerProvider.`addRulerChangeListener(RulerChangeListener listener)`
The given listener will be notified of changes in ruler properties.
`void`
RulerProvider.`removeRulerChangeListener(RulerChangeListener listener)`
The given listener will not be notified of changes in the ruler anymore.